Bug 497096 - Update Generic KDE splash logo to Leonidas theme
Update Generic KDE splash logo to Leonidas theme
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: generic-logos (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 07:05 EDT by Jaroslav Reznik
Modified: 2014-03-16 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:10:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Generic KDE 4 logo (8.97 KB, image/png)
2009-04-22 07:05 EDT, Jaroslav Reznik
no flags Details

  None (edit)
Description Jaroslav Reznik 2009-04-22 07:05:23 EDT
Created attachment 340717 [details]
Generic KDE 4 logo

Description of problem: update Generic KDE splash logo to attached one (or rename existing one to system-logo-generic-kde.png) 

Should go to /usr/share/kde4/apps/ksplash/Themes/Leonidas/2048x1536/logo.png

Thanks.

Version-Release number of selected component (if applicable): 
generic-logos-10.0.0


Actual results:
Generic KDE splash logo in SolarComet theme

Expected results:
Generic KDE splash logo in Leonidas theme
Comment 1 Bill Nottingham 2009-04-22 16:17:22 EDT
Ugh, so right now, we have:

mkdir -p $RPM_BUILD_ROOT%{_kde4_appsdir}/ksplash/Themes/SolarComet/1280x1024
install -p -m 644 ksplash/SolarComet-kde.png $RPM_BUILD_ROOT%{_kde4_appsdir}/ksplash/Themes/SolarComet/1280x1024/logo.png

In this case, we're not changing the image at all, just where we put it.

Is there some 'default' directory we can put this so we don't have to respin the package any time the default theme changes?
Comment 2 Bill Nottingham 2009-04-22 17:18:58 EDT
Fixed in git for the new directory, just so we at least have something, though.
Comment 3 Bill Nottingham 2009-04-22 18:07:39 EDT
Simple fix in 11.0.0-1. Would like something better, of course.b
Comment 4 Jaroslav Reznik 2009-04-23 02:18:18 EDT
(In reply to comment #1)
> In this case, we're not changing the image at all, just where we put it.
> 
> Is there some 'default' directory we can put this so we don't have to respin
> the package any time the default theme changes?  

Yes, 
I think it would be better to put it to pixmaps directory and then we can symlink it from there. I've planned more changes to our theme but as artwork was delayed and we depend on it, there's no time to do it now... For F12 I think it's good time frame, I'll fill another bug.

Thanks.
Comment 5 Bug Zapper 2009-06-09 10:23:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 09:52:30 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:10:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.